Subject: Re: DR and BDR election: Simplified..

From: Amit Srivastava <[email-masked]>
Date: Mon, 3 Jun 2002 04:00:37 -0700

Hi all,
        I am still not getting any specific scenario where we would require to run the DR and BDR election again as specified by the RFC
Regards
Amit
  Erblichs <[email-masked]> wrote: I would like to try to simplify the election process..
Flames are expected...
Please be aware that I tend to be verbose..

here goes...

Assuming the proper network topology and that all
the routers have just come up and that the
BDR and DR are initially defined as 0.0.0.0...

1) First we wait for the configured wait time
to expire..

2) Now we walk thru all the viable routers who
can be the BDR. They should be at least in
the 2WAY state and have a non-zero priority..

3) The highest priority one becomes the BDR...

4) Now we do #2 and #3 for the DR..

5) The highest priority router actually becomes
the DR because he was promoted to become
the DR.. See Cisco ref #5 and #6.p. 422 Chapt 9. OSPF...

6) Problem is that he is now the BDR AND the
DR..

7) So we run the election for the BDR again
eliminating the DR as a viable candidate
for the BDR and get the next highest priority
eligible router as the BDR.. If their is
no candidate now for the BDR position it is
set to 0.0.0.0..

8) This is it in a nutshell.. Or what was originally
coded years ago..

*** Again this is just one sequence that goes
with the election process..

No,

* I have not covered the DR who due to RouterDeadInterval
lost his DR status..

* I have not covered when their is an existing DR...

* Etc...

My understanding of the confusion is with declaration of
multiple routers declaring themselves the DR or BDR when an
area was PARTITIONED and only remerged..

Paritioning may also happen if one or more hello parameters
was not matched with all the routers, but actually formed
two or more sets of routers within an area..

I BELIEVE, One or more routers may declare themselves ONLY
if the areas or subareas was then merged together.. This is how
you can have two or more DRs or BDRs declaring themselves
as such. Only in this case,
will you elect the router with the highest priority in
both cases to become the newer BDR and DR from the declared
groups..

Hope this helps...

Mitchell Erblich

---------------------------------
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup